Summary:	Anonymizing overlay network for TCP (The onion router)
Summary(pl.UTF-8):	Sieć nakładkowa dla TCP zapewniająca anonimowość (router cebulowy)
Name:		tor
Version:	0.3.4.11
Release:	2
License:	BSD-like
Group:		Networking/Daemons
Source0:	http://www.torproject.org/dist/%{name}-%{version}.tar.gz
# Source0-md5:	a0ea54c560df5658f94f4522f99585e5
Source1:	%{name}.logrotate
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Source4:	%{name}.tmpfiles
URL:		http://www.torproject.org/
BuildRequires:	libevent-devel >= 1.1
BuildRequires:	openssl-devel >= 0.9.6
BuildRequires:	rpm-build >= 4.0
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Provides:	group(tor)
Provides:	user(tor)
Conflicts:	logrotate < 3.7-4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tor is a connection-based low-latency anonymous communication system.

This package provides the "tor" program, which serves as both a client
and a relay node. Scripts will automatically create a "tor" user and
group, and set tor up to run as a daemon when the system is rebooted.

Applications connect to the local Tor proxy using the SOCKS protocol.
The local proxy chooses a path through a set of relays, in which each
relay knows its predecessor and successor, but no others. Traffic
flowing down the circuit is unwrapped by a symmetric key at each
relay, which reveals the downstream relay.

Warnings: Tor does no protocol cleaning. That means there is a danger
that application protocols and associated programs can be induced to
reveal information about the initiator. Tor depends on Privoxy and
similar protocol cleaners to solve this problem. This is alpha code,
and is even more likely than released code to have anonymity-spoiling
bugs. The present network is very small -- this further reduces the
strength of the anonymity provided. Tor is not presently suitable for
high-stakes anonymity.

%description -l pl.UTF-8
Tor to oparty na połączeniach system anonimowej komunikacji o małych
opóźnieniach.

Ten pakiet dostarcza program "tor", służący zarówno jako klient, jak i
węzeł przekaźnikowy. Skrypty automatycznie tworzą użytkownika i grupę
"tor" i konfigurują tora do działania jako demon po uruchomieniu
systemu.

Aplikacje łączą się z lokalnym proxy Tor przy użyciu protokołu SOCKS.
Lokalne proxy wybiera ścieżkę poprzez zbiór przekaźników, z których
każdy zna swojego poprzednika i następnika, ale żadnego więcej. Ruch
przychodzący jest rozpakowywany przy użyciu klucza symetrycznego na
każdym przekaźniku, który odsłania kolejny przekaźnik.

Uwaga: Tor nie oczyszcza protokołów. Oznacza to, że istnieje
niebezpieczeństwo, że protokoły aplikacji i powiązane programy mogą
odkryć informacje o pochodzeniu. Tor polega na Privoxy i podobnych
oczyszczaczach protokołów w celu rozwiązania tego problemu. To jest
kod alpha, więc może mieć więcej błędów psujących anonimowość niż kod
wydany. Obecna sieć jest bardzo mała - co w dalszym stopniu ogranicza
zapewnianą anonimowość. Tor aktualnie nie nadaje się do zadań
wymagających anonimowości na wysoką stawkę.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/{{lib,run}/%{name},log/{,archive/}%{name}} \
	$RPM_BUILD_ROOT/usr/lib/tmpfiles.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/torrc{.sample,}
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/logrotate.d/%{name}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
install %{SOURCE4} $RPM_BUILD_ROOT/usr/lib/tmpfiles.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -g 156 tor
%useradd  -u 156 -r -d /var/lib/tor -s /bin/false -c "Tor" -g tor tor

%post
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" = "0" ]; then
	%userremove  tor
	%groupremove tor
fi

%files
%defattr(644,root,root,755)
%doc LICENSE README ChangeLog doc/HACKING
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*.1*
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%dir %attr(750,root,tor) %{_sysconfdir}/%{name}
%attr(640,root,tor)  %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/%{name}
/usr/lib/tmpfiles.d/%{name}.conf
%dir %attr(750,root,tor) /var/lib/%{name}
%dir %attr(750,root,tor) /var/run/%{name}
%dir %attr(750,root,tor) /var/log/%{name}
%dir %attr(750,root,tor) /var/log/archive
%dir %attr(750,root,tor) /var/log/archive/%{name}
%{_datadir}/tor
%changelog
* Sat Feb 08 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tor.git;a=log;h=master

* Sat Feb 08 2020 Jan Rękorajski <baggins@pld-linux.org> 3b545b0
- rebuild with libevent 2.1.11
- release 2 (by relup.sh)

* Fri Feb 22 2019 Adam Gołębiowski <adamg@pld-linux.org> a493285
- updated to 0.3.4.11

* Sun Nov 04 2018 Adam Gołębiowski <adamg@pld-linux.org> b23608d
- updated to 0.3.4.9

* Tue Sep 25 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> f0b296b
- up to 0.3.4.8

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 6850d48
- release 4 (by relup.sh)

* Sun Apr 02 2017 Jan Rękorajski <baggins@pld-linux.org> b40ee16
- rebuild with libevent 2.1.9
- release 3 (by relup.sh)

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 9d54c67
- release 2

* Tue Jan 31 2012 Jan Rękorajski <baggins@pld-linux.org> 33c920f
- added tmpfiles config for systemd

* Mon Jan 30 2012 Jan Rękorajski <baggins@pld-linux.org> 27746f6
- add systemd tmpfiles config

* Fri Dec 23 2011 lisu <lisu@pld-linux.org> 35453fb
- 0.2.2.35

* Fri Sep 16 2011 lisu <lisu@pld-linux.org> 00f7357
- 0.2.2.33

* Tue Aug 30 2011 lisu <lisu@pld-linux.org> 59b1931
- merged commit logs

* Tue Aug 30 2011 lisu <lisu@pld-linux.org> 78b8ccd
- updated to 0.2.2.32 stable
- merged with DEVEL

* Fri Mar 11 2011 lisu <lisu@pld-linux.org> bdc9914
- 0.2.1.30

* Thu Feb 24 2011 lisu <lisu@pld-linux.org> bd234d8
- rel 2 (rebuild against new libevent)

* Mon Jan 17 2011 lisu <lisu@pld-linux.org> 45e8f4e
- 0.2.1.29
[fixes CVE-2011-0427]

* Sun Dec 26 2010 Adam Gołębiowski <adamg@pld-linux.org> ae89778
- CVE entry for 0.2.1.28

* Wed Dec 22 2010 lisu <lisu@pld-linux.org> a1a9d1c
- 0.2.1.28
  [ fixes CVE-2010-1676 ]

* Thu Nov 25 2010 lisu <lisu@pld-linux.org> 13a377e
- 0.2.1.27

* Fri Oct 29 2010 hawk <hawk@pld-linux.org> 2a9f3cd
- release 2

